Stampfactory
Dokumentation
Dienstplanung

Lastverteilung je Einheit

Burden distribution of a unit over an explicit period

GET
/units/{unit}/fairness/{start}/{end}
AuthentifizierungBearer <token>

Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).

Ort: header

Pfadparameter

unit*string

The unit ID

Formatuuid
start*string
end*string

Response-Body

application/json

application/json

application/json

curl -X GET "https://example.com/units/497f6eca-6276-4993-bfeb-53cbbbba6f08/fairness/string/string"
{  "data": [    {      "employee_id": "string",      "employee_name": "string",      "weekend": "string",      "night": "string",      "holiday": "string",      "unpopular": "string",      "unpopular_weight": "string",      "burden_score": "string",      "declination_count_12m": "string",      "total_shifts": "string",      "total_planned_ms": "string",      "total_planned": "string"    }  ],  "meta": {    "window_start": "string",    "window_end": "string",    "window_weeks": 0,    "fairness_index": 0  }}